%define pkg_name        XML-SAX-Writer
%define pkg_version     0.50
%define rpm_pkg_version 0.50
%define rpm_pkg_release 1.n0i.8

Summary:       SAX2 Writer
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAHUT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Text::Iconv) >= 1.2
BuildRequires: perl(XML::Filter::BufferText) >= 1.00
BuildRequires: perl(XML::NamespaceSupport) >= 1.00
BuildRequires: perl(XML::SAX::Exception) >= 1.01
%endif


%description
Why yet another XML Writer? A new XML Writer was needed to match the SAX2
effort because quite naturally no existing writer understood SAX2.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.50-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.50

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.44-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.44-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Dec 03 2004 Marius Feraru <altblue@n0i.net> 0:0.44-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.44-1.n0i.4
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.44-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.44-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:0.44-0.n0i.1
- version 0.44
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
